Package org.drinkless.tdlib

# Class TdApi.SearchPublicStoriesByLocation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundStories>
org.drinkless.tdlib.TdApi.SearchPublicStoriesByLocation

Enclosing class:
  `TdApi`

public static class TdApi.SearchPublicStoriesByLocation extends TdApi.Function<TdApi.FoundStories>
Searches for public stories by the given address location. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundStories`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.LocationAddress`
  `address`
  Address of the location.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of stories to be returned; up to 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPublicStoriesByLocation()`
  Default constructor for a function, which searches for public stories by the given address location.
  `SearchPublicStoriesByLocation(TdApi.LocationAddress address, String offset, int limit)`
  Creates a function, which searches for public stories by the given address location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### address

    public TdApi.LocationAddress address
    Address of the location.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of stories to be returned; up to 100. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchPublicStoriesByLocation

    public SearchPublicStoriesByLocation()
    Default constructor for a function, which searches for public stories by the given address location. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundStories`

  - ### SearchPublicStoriesByLocation

    public SearchPublicStoriesByLocation(TdApi.LocationAddress address, String offset, int limit)
    Creates a function, which searches for public stories by the given address location. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundStories`

    Parameters:
      `address` - Address of the location.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of stories to be returned; up to 100. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundStories>`
    Returns:
      this.CONSTRUCTOR